/*
SQLyog Community- MySQL GUI v8.21 
MySQL - 5.1.42-community : Database - template_components
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`template_components` /*!40100 DEFAULT CHARACTER SET latin1 */;

USE `template_components`;

/*Table structure for table `documents` */

DROP TABLE IF EXISTS `documents`;

CREATE TABLE `documents` (
  `id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*Table structure for table `edge_components` */

DROP TABLE IF EXISTS `edge_components`;

CREATE TABLE `edge_components` (
  `document_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `tag_id` int(11) DEFAULT NULL,
  `component` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `new_component` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `NewIndex1` (`document_id`,`user_id`,`tag_id`),
  KEY `NewIndex2` (`component`)
) ENGINE=MyISAM AUTO_INCREMENT=22457986 DEFAULT CHARSET=latin1;

/*Table structure for table `entries` */

DROP TABLE IF EXISTS `entries`;

CREATE TABLE `entries` (
  `document_id` int(11) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL DEFAULT '0',
  `tag_id` int(11) NOT NULL DEFAULT '0',
  `component` int(11) DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `document_id` (`document_id`),
  KEY `tag_id` (`tag_id`),
  KEY `component` (`component`)
) ENGINE=MyISAM AUTO_INCREMENT=2419431 DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*Table structure for table `hypercomponents` */

DROP TABLE IF EXISTS `hypercomponents`;

CREATE TABLE `hypercomponents` (
  `id` int(11) NOT NULL,
  `num_edges` int(11) DEFAULT NULL,
  `num_documents` int(11) DEFAULT NULL,
  `num_users` int(11) DEFAULT NULL,
  `num_tags` int(11) DEFAULT NULL,
  `spaminess` float DEFAULT NULL,
  `spam_information` float DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table `hypercomponents_documents` */

DROP TABLE IF EXISTS `hypercomponents_documents`;

CREATE TABLE `hypercomponents_documents` (
  `component_id` int(11) DEFAULT NULL,
  `document_id` int(11) DEFAULT NULL,
  UNIQUE KEY `NewIndex1` (`component_id`,`document_id`),
  KEY `NewIndex2` (`component_id`),
  KEY `NewIndex3` (`document_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table `hypercomponents_tags` */

DROP TABLE IF EXISTS `hypercomponents_tags`;

CREATE TABLE `hypercomponents_tags` (
  `component_id` int(11) DEFAULT NULL,
  `tag_id` int(11) DEFAULT NULL,
  UNIQUE KEY `NewIndex1` (`component_id`,`tag_id`),
  KEY `NewIndex2` (`component_id`),
  KEY `NewIndex3` (`tag_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table `hypercomponents_users` */

DROP TABLE IF EXISTS `hypercomponents_users`;

CREATE TABLE `hypercomponents_users` (
  `component_id` int(11) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  UNIQUE KEY `NewIndex1` (`component_id`,`user_id`),
  KEY `NewIndex2` (`component_id`),
  KEY `NewIndex3` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table `merge_components_copy` */

DROP TABLE IF EXISTS `merge_components_copy`;

CREATE TABLE `merge_components_copy` (
  `component_1` int(11) DEFAULT NULL,
  `component_2` int(11) DEFAULT NULL,
  UNIQUE KEY `NewIndex1` (`component_1`,`component_2`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Table structure for table `tags` */

DROP TABLE IF EXISTS `tags`;

CREATE TABLE `tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=160696 DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_name` varchar(255) COLLATE latin1_general_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=23686 DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
